/* @(#) CineController.java 1.1 99/01/11
 * Copyright (c) 1999 Lawrence Rodrigues
 */
package com.vistech.imageviewer;
import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import java.awt.geom.*;
import java.beans.*;

public interface CineController {
   /** Sets the cine flag 
     * @param cineOn the cine flag.
     */
   public void setCineOn(boolean onOrOff);

   /** @return the cine flag */
   public boolean getCineOn();

   /** Sets the cine rate  property.
     * @param cine rate the rate at which images are is displayed in succession
     */
   public void setCineRate(int rate);
   
   /** Returns the cineRate property. 
     * @return the cine rate.
     */
   public int getCineRate();

   /**Starts the movie **/
   public void startCine();

   public void setCineImageSet(Image[] imageset);
   public void setCineIndices(int[] indices);
   public void setImageDisplay(ImageDisplay dispCanvas);
}